package com.ruoyi.system.enums;

import lombok.Getter;

/**
 * 流程状态
 *
 * @author wangxy
 * @date 2024/4/11 9:15
 */
@Getter
public enum ApplyListStatusEnum {
    /**新建*/
    NEWSAVE("0","保存"),
    /**已提交*/
    SUBMIT("1","已提交"),
    /**审核通过*/
    AUDITED("2","审核通过"),
    /**审核不通过*/
    GOBACK("3","退回"),
    /**培训教育提交*/
    TRAIN("4","培训教育提交"),
    /**承诺书已上传*/
    PROMISE("5","承诺书已上传"),
    /**离职离岗材料提交*/
    LEAVESUBMIT("6","离职离岗材料提交"),
    /**离职离岗审核通过*/
    LEAVEADUIT("7","离职离岗审核通过"),
    /**离职离岗审核退回*/
    LEAVEBACK("8","离职离岗审核退回");




    private final String status;


    private final String description;

    ApplyListStatusEnum(String status, String description){
        this.status = status;
        this.description = description;
    }
}
